<html xmlns="http://www.w3.org/1999/xhtml" lang="en"
      xmlns:py="http://genshi.edgewall.org/"
      xmlns:xi="http://www.w3.org/2001/XInclude"
      py:strip="">

<py:def function="renderPostGroup(g,comment=True)">
  <div class="post">
    <h2><a href="$g.permalink" name="${ '%.2d'%g.day.day }">$g.title</a></h2>

    <div py:for="p in g.posts" style="margin-top: 1em;">
      <a href="${ '%s#%s'%(g.permalink(), p.time.strftime(str('%H%M'))) }"
	 name="${ p.time.strftime(str('%H%M')) }"
	 title="${ p.post_id }">
	${ p.time.strftime(str("%I:%M %p")) }
      </a>

      <div>${ Markup(p.content) }</div>
    </div>

    <!-- comment bubble -->
    <div py:if="comment" id="${ 'bubble-%s' % g.id() }">
      <a href="javascript:bubble('$g.id');"
	 title="Reply to this">
	<img src="${ link_to('static', 'img', 'bubble.png') }" />
      </a>
    </div>
    
  </div>
</py:def>

</html>
